Bug 190293 - Radar links should be clickable on bugs.webkit.org
Summary: Radar links should be clickable on bugs.webkit.org
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
: 136709 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-10-04 14:16 PDT by Jer Noble
Modified: 2019-05-12 14:38 PDT (History)
5 users (show)

See Also:


Attachments
Proof of concept (3.20 KB, patch)
2018-10-04 14:18 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (5.15 KB, patch)
2018-10-05 15:52 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2018-10-04 14:16:05 PDT
Radar links should be clickable on bugs.webkit.org
Comment 1 Jer Noble 2018-10-04 14:16:31 PDT
<rdar://problem/45020184>
Comment 2 Jer Noble 2018-10-04 14:18:37 PDT
Created attachment 351631 [details]
Proof of concept
Comment 3 Jer Noble 2018-10-05 15:52:44 PDT
Created attachment 351703 [details]
Patch
Comment 4 WebKit Commit Bot 2018-10-05 17:02:56 PDT
Comment on attachment 351703 [details]
Patch

Clearing flags on attachment: 351703

Committed r236890: <https://trac.webkit.org/changeset/236890>
Comment 5 WebKit Commit Bot 2018-10-05 17:02:58 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Alexey Proskuryakov 2018-10-05 17:12:37 PDT
Comment on attachment 351703 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=351703&action=review

> Websites/bugs.webkit.org/extensions/Radar/Extension.pm:41
> +    push(@$regexes, { match => qr/\b(r[a]?dar:\/\/[[:word:]-.~&\/=%:,]*)([-.~&%=:,]?)\b/, replace => \&_replace_radar });

This doesn't cover radr:// links, which is a thing.

That variant was used six times over the years in Bugzilla (probably accidentally), and radar:// was used 27 times :)
Comment 7 Alexey Proskuryakov 2018-10-05 17:15:44 PDT
Is this better than a simpler fix that you had in bug 136709 before?
Comment 8 Jer Noble 2018-10-05 18:27:38 PDT
As an extension, our changes here will never get blown away by changes to mainline Bugzilla, nor will we ever have to upstream this change. 
 

Basically, that was a hack, and this is the officially supported way of doing custom links fixation.
Comment 9 Alexey Proskuryakov 2018-10-06 15:27:07 PDT
Makes sense. I guess this needs to be tested in UAT now, and deployed. Please e-mail to sync up about that.
Comment 10 Alexey Proskuryakov 2019-05-12 14:38:30 PDT
*** Bug 136709 has been marked as a duplicate of this bug. ***